/*************************************************************************
 * Copyright (c) 2004 Nick T Tate
 * 
 * This file is part of Tearless SDK.
 * 
 * Tearless SDK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Tearless SDK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Tearless SDK; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ************************************************************************/
/*
 * Main header file for Tearless API.
 * Basically includes all other header files.
 * 
 * Works in both C and C++. With C++ you get extra features.
 * 
 * Compiles with OpenWatcom 1.2 in DOS mode.
 * For now, use huge memory model.
 * 
 * Just remember to call loadTearlessLibs() before
 * anything else ... (see tlapi.c). * 
 *
 * Author: Nick T Tate 2003-09-08
 * 
 * $Id: tlapi.h 11 2004-10-21 08:59:29Z nicktt $
 */

#ifndef TEARLESS_API_HEADER
#define TEARLESS_API_HEADER

#include "tlsys.h"
#include "tlraw.h"
#include "tlmem.h"
#include "tldisk.h"
#include "tlfile.h"
#include "tlgfx.h"
#include "tlgui.h"
#include "tlfont.h"
#include "tlwidget.h"
#include "tldpof.h"
#include "tlcam.h"
#include "tledit.h"
#include "tlalert.h"

#endif

