/*************************************************************************
 * Copyright (c) 2004 Nick T Tate
 * 
 * This file is part of Tearless SDK.
 * 
 * Tearless SDK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Tearless SDK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Tearless SDK; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ************************************************************************/
/*
 * Tearless API library "loader".
 * 
 * Compile and link with this file.
 * 
 * Remember to call loadTearlessLibs() before
 * anything else ...
 * 
 * Author: Nick T Tate 2003-09-08
 * 
 * $Id: tlapi.c 7 2004-10-20 18:46:31Z nicktt $
 */

#include "tlcommon.h"

PTR TEARLESS_LIBS[16];

void loadTearlessLibs(void) {
	ushort i;
	
	for(i = 1; i < 16; i++) {
		PTR lib = getTearlessLib(i);
		TEARLESS_LIBS[i] = lib;
	}
}
